#ifndef __log_h_
#define __log_h_

#include <stdio.h>

class Logger {
  void putLogTime();
  int append_mode; /* log file  append mode ǥץ󤹤 */
  int put_level;

 public:
  FILE *fp;
  char default_filename[256];

  Logger(char *filename = 0);
  ~Logger();
  int open(char *filename = 0);
  void close();
  void setAppendMode() { append_mode = 1; }

  void put(const char *fmt, ...);
  void setLevel(int l) {put_level = l;}

  char *getFilename() { return default_filename; }
  void setFilename(char *filename);
};

#endif /* __log_h_ */
